---
- name: Manage template file
  ansible.windows.win_template:
    backup: "{{ item['backup'] | default(False) }}"
    block_end_string: "{{ item['block_end_string'] | default(omit) }}"
    block_start_string: "{{ item['block_start_string'] | default(omit) }}"
    dest: "{{ item['dest'] }}"
    force: "{{ item['force'] | default(True) }}"
    lstrip_blocks: "{{ item['lstrip_blocks'] | default(False) }}"
    newline_sequence: "{{ item['newline_sequence'] | default('\r\n') }}"
    output_encoding: "{{ item['output_encoding'] | default('utf-8') }}"
    src: "{{ item['src'] }}"
    trim_blocks: "{{ item['trim_blocks'] | default(True) }}"
    variable_end_string: "{{ item['variable_end_string'] | default('}}') }}"
    variable_start_string: "{{ item['variable_start_string'] | default('{{') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['dest'] }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_template
